org.eclipse.jetty.security

## Interface CrossContextPsuedoSession<T>

- All Known Implementing Classes:
    HashCrossContextPsuedoSession

      public interface CrossContextPsuedoSession<T>

  Version:
    $Rev: 4466 $ $Date: 2009-02-10 23:42:54 +0100 (Tue, 10 Feb 2009) $

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear(javax.servlet.http.HttpServletRequest request)`
    `T` | `fetch(javax.servlet.http.HttpServletRequest request)`
    `void` | `store(T data, javax.servlet.http.HttpServletResponse response)`

- - ### Method Detail

    - #### fetch

          T fetch(javax.servlet.http.HttpServletRequest request)

    - #### store

          void store(T data,
                   javax.servlet.http.HttpServletResponse response)

    - #### clear

          void clear(javax.servlet.http.HttpServletRequest request)

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.